## factory-boy 2.0.2

=== Makefile ===
PACKAGE=factory
TESTS_DIR=tests
DOC_DIR=docs


all: default


default:


clean:
	find . -type f -name '*.pyc' -delete


test:
	python -W default setup.py test

pylint:
	pylint --rcfile=.pylintrc --report=no $(PACKAGE)/

coverage:
	coverage erase
	coverage run "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py" --branch setup.py test
	coverage report "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py"
	coverage html "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py"

doc:
	$(MAKE) -C $(DOC_DIR) html


.PHONY: all default clean coverage doc pylint test

## factory-boy 1.0.4

=== debian/changelog ===
factory-boy (1.0.4-1) unstable; urgency=low

  * Initial release.

 -- Ghe Rivero <ghe.rivero@stackops.com>  Tue, 14 Feb 2012 11:54:35 +0100

=== debian/control ===
Source: factory-boy
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 7.0.50), python-dev (>=2.6.6-3~)
Standards-Version: 3.9.2
Homepage: https://github.com/rbarrois/factory_boy
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/factory-boy.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/factory-boy.git
X-Python-Version: >= 2.6

Package: factory-boy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
Description: test fixtures replacement based on thoughtbot's factory_girl for Ruby.
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl . Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 Django support is included, and support for other ORMs can be easily added.

## factory-boy 1.1.3

=== debian/changelog ===
factory-boy (1.1.3-1) unstable; urgency=low

  * New upstream release
  * Rename binary to python-factory-boy (Closes: #663397)

 -- Ghe Rivero <ghe.rivero@stackops.com>  Sat, 10 Mar 2012 23:20:09 +0100

factory-boy (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Mon, 05 Mar 2012 19:13:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Ghe Rivero <ghe.rivero@stackops.com>
 Build-Depends: debhelper (>= 7.0.50), python-dev (>=2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/rbarrois/factory_boy
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/factory-boy.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/factory-boy.git
 X-Python-Version: >= 2.6
 
-Package: factory-boy
+Package: python-factory-boy
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 Description: test fixtures replacement based on thoughtbot's factory_girl for Ruby.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
# export DH_VERBOSE=1

%:
	dh $@ --with python2

## factory-boy 2.0.2

=== debian/changelog ===
factory-boy (2.0.2-1) unstable; urgency=low

  * Uploading to unstable.
  * New upstream release.
  * Switched to debhelper / compat level 9.
  * Bumped StandardVersion.
  * Switched Architecture: to all instead of any (there's no arch dependent
    things that I can see in the produced binary).

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 May 2013 05:33:18 +0000

factory-boy (1.1.5-1) experimental; urgency=low

  * New upstream release.
  * Added a get-vcs-source and debian/gbp.conf file.
  * Added everyone in the team as uploaders.
  * Switching to openstack-pkg-tools unified packaging.
  * Removed X-Python-Version: >= 2.6.
  * Added predepends on dpkg 1.15.6~, and using xz compression.
  * Fixed long and short descrition syntax to please lintian.
  * Fixed multiple small problems in debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Oct 2012 12:06:03 +0000

=== debian/control ===
Source: factory-boy
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), python-all (>=2.6.6-3~), openstack-pkg-tools
Standards-Version: 3.9.4
Homepage: https://github.com/rbarrois/factory_boy
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/factory-boy.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/factory-boy.git

Package: python-factory-boy
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
Description: test fixtures replacement based on thoughtbot's factory_girl for Ruby
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl. Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 .
 Django support is included, and support for other ORMs can be easily added.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

UPSTREAM_GIT = git://github.com/rbarrois/factory_boy.git

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2 --buildsystem=python_distutils

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/f/factory_boy/factory_boy-(.+).tar.gz debian uupdate
#https://github.com/rbarrois/factory_boy/tags /rbarrois/.*/archive/factory_boy-(\d[\d\.]+)\.tar\.gz

## factory-boy 2.4.1

=== Makefile ===
PACKAGE=factory
TESTS_DIR=tests
DOC_DIR=docs

# Use current python binary instead of system default.
COVERAGE = python $(shell which coverage)

all: default


default:


clean:
	find . -type f -name '*.pyc' -delete
	find . -type f -path '*/__pycache__/*' -delete
	find . -type d -empty -delete
	@rm -rf tmp_test/


test:
	python -W default setup.py test

pylint:
	pylint --rcfile=.pylintrc --report=no $(PACKAGE)/

coverage:
	$(COVERAGE) erase
	$(COVERAGE) run "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py" --branch setup.py test
	$(COVERAGE) report "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py"
	$(COVERAGE) html "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py"

doc:
	$(MAKE) -C $(DOC_DIR) html


.PHONY: all default clean coverage doc pylint test

=== debian/changelog ===
factory-boy (2.4.1-4) unstable; urgency=medium

  * Added Suggests: python-factory-boy-doc (Closes: #787282).
  * Added dh-python build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Jun 2015 08:39:54 +0200

factory-boy (2.4.1-3) unstable; urgency=medium

  * Add a patch to call django.setup() if using Django 1.7 in the unit tests.
    This fixes FTBFS (Closes: #764837).
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 Oct 2014 04:36:54 +0000

factory-boy (2.4.1-2) unstable; urgency=medium

  * Disabled broken a test (Closes: #759914).

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Aug 2014 19:33:07 +0000

factory-boy (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Fixed debian/copyright to include the current maintainer.
  * Added Python 3 support (Closes: #753558).
  * Added sphinx doc.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Jul 2014 15:10:32 +0800

factory-boy (2.3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #746631).
  * Standards-Version is now 3.9.5.
  * Now running unit tests at build time.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 May 2014 22:56:03 +0800

=== debian/control ===
Source: factory-boy
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-django,
                     python-mock,
                     python-unittest2,
                     python3-django,
                     python3-mock
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/factory-boy.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/factory-boy.git
Homepage: https://github.com/rbarrois/factory_boy

Package: python-factory-boy
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: python-factory-boy-doc
Description: test fixtures replacement based on factory_girl for Ruby - Python 2.x
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl. Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 .
 Django support is included, and support for other ORMs can be easily added.
 .
 This package provides the Python 2.x module.

Package: python3-factory-boy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-factory-boy-doc
Description: test fixtures replacement based on factory_girl for Ruby - Python 3.x
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl. Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 .
 Django support is included, and support for other ORMs can be easily added.
 .
 This package provides the Python 3.x module.

Package: python-factory-boy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
Description: test fixtures replacement based on factory_girl for Ruby - doc
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl. Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 .
 Django support is included, and support for other ORMs can be easily added.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/rbarrois/factory_boy.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-factory-boy; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-factory-boy; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html docs $(CURDIR)/debian/python-factory-boy-doc/usr/share/doc/python-factory-boy-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
		python$$i -W default setup.py test ; \
	done
endif

## factory-boy 2.7.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 PACKAGE=factory
 TESTS_DIR=tests
 DOC_DIR=docs
+EXAMPLES_DIR=examples
 
 # Use current python binary instead of system default.
 COVERAGE = python $(shell which coverage)
@@ -18,10 +19,22 @@
 	@rm -rf tmp_test/
 
 
+install-deps:
+	pip install --upgrade pip setuptools
+	pip install --upgrade -r requirements_dev.txt
+	pip freeze
+
+testall:
+	tox
+
 test:
-	python -W default setup.py test
+	python -Wdefault -m unittest $(TESTS_DIR)
 
-pylint:
+example-test:
+	$(MAKE) -C $(EXAMPLES_DIR) test
+
+lint:
+	check-manifest
 	pylint --rcfile=.pylintrc --report=no $(PACKAGE)/
 
 coverage:
@@ -34,4 +47,4 @@
 	$(MAKE) -C $(DOC_DIR) html
 
 
-.PHONY: all default clean coverage doc pylint test
+.PHONY: all default clean coverage doc install-deps pylint test

=== requirements.txt ===
fake-factory>=0.5.0

=== debian/changelog ===
factory-boy (2.7.0-2) unstable; urgency=medium

  * Team upload
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * Added python-sphinx-rtd-theme to build depends (Closes: #830402)

 -- Ondřej Nový <onovy@debian.org>  Sat, 16 Jul 2016 11:25:17 +0200

factory-boy (2.7.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release (v2.6.1)
  * Added python(3)-wheel build dependency.
  * Fixed VCS url (https).
  * Removed disable-a-test-in-test_existing_file.patch
  * Removed add-django-1.7-compat-with-new-django.setup.patch
  * Rebased and fixed debian/patches/removed-privacy-breach.patch
  * d/copyright fixed.

  [ Christopher Baines ]
  * New upstream release (v2.7.0)
  * Add myself to Uploaders
  * Add build dependencies on fake-factory and python-ipaddress
  * Bump Standards-Version to 3.9.8 (no changes required)
  * Change the gbp.conf upstream-tag to include the v prefix, as this
    makes git-buildpackage able to find the tags

 -- Christopher Baines <mail@cbaines.net>  Thu, 12 May 2016 14:06:22 +0000

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,29 @@
 Section: python
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>,
+Uploaders: Thomas Goirand <zigo@debian.org>, Christopher Baines <mail@cbaines.net>
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
                python-setuptools,
                python-sphinx,
+               python-sphinx-rtd-theme,
                python3-all,
                python3-setuptools
 Build-Depends-Indep: python-django,
                      python-mock,
                      python-unittest2,
+                     python-wheel,
+                     python-ipaddress,
+                     python-fake-factory,
                      python3-django,
-                     python3-mock
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/factory-boy.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/factory-boy.git
+                     python3-mock,
+                     python3-wheel,
+                     python3-fake-factory,
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/factory-boy.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/factory-boy.git
 Homepage: https://github.com/rbarrois/factory_boy
 
 Package: python-factory-boy

## factory-boy 2.8.1

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 # Use current python binary instead of system default.
 COVERAGE = python $(shell which coverage)
+FLAKE8 = flake8
 
 all: default
 
@@ -33,9 +34,13 @@
 example-test:
 	$(MAKE) -C $(EXAMPLES_DIR) test
 
+
+
+# Note: we run the linter in two runs, because our __init__.py files has specific warnings we want to exclude
 lint:
 	check-manifest
-	pylint --rcfile=.pylintrc --report=no $(PACKAGE)/
+	$(FLAKE8) --config .flake8 --exclude $(PACKAGE)/__init__.py $(PACKAGE)
+	$(FLAKE8) --config .flake8 --ignore F401 $(PACKAGE)/__init__.py
 
 coverage:
 	$(COVERAGE) erase
@@ -47,4 +52,4 @@
 	$(MAKE) -C $(DOC_DIR) html
 
 
-.PHONY: all default clean coverage doc install-deps pylint test
+.PHONY: all default clean coverage doc install-deps lint test

=== examples/Makefile ===
EXAMPLES = flask_alchemy

TEST_TARGETS = $(addprefix runtest-,$(EXAMPLES))

test: $(TEST_TARGETS)


$(TEST_TARGETS): runtest-%:
	cd $* && PYTHONPATH=../.. python -m unittest

=== examples/requirements.txt ===
-r flask_alchemy/requirements.txt

=== debian/changelog ===
factory-boy (2.8.1-2) unstable; urgency=medium

  * Don't require ipaddress for Python 3+.

 -- Brian May <bam@debian.org>  Thu, 05 Jan 2017 20:24:39 +1100

factory-boy (2.8.1-1) unstable; urgency=medium

  * New upstream version.
  * Fix missing depends on ipaddress (Closes: #833037).

 -- Brian May <bam@debian.org>  Thu, 05 Jan 2017 12:30:16 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: factory-boy
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>, Christopher Baines <mail@cbaines.net>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -23,8 +23,8 @@
                      python3-wheel,
                      python3-fake-factory,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/factory-boy.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/factory-boy.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/factory-boy.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/factory-boy.git
 Homepage: https://github.com/rbarrois/factory_boy
 
 Package: python-factory-boy

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,10 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/rbarrois/factory_boy.git
+UPSTREAM_GIT := https://github.com/rbarrois/factory_boy.git
 include /usr/share/openstack-pkg-tools/pkgos.make
+
+GIT_TAG := "v$(GIT_TAG)"
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

## factory-boy 2.11.1

=== Makefile ===
PACKAGE=factory
TESTS_DIR=tests
DOC_DIR=docs
EXAMPLES_DIR=examples

# Use current python binary instead of system default.
COVERAGE = python $(shell which coverage)
FLAKE8 = flake8


all: default


default:


# Package management
# ==================


# DOC: Remove temporary or compiled files
clean:
	find . -type f -name '*.pyc' -delete
	find . -type f -path '*/__pycache__/*' -delete
	find . -type d -empty -delete
	@rm -rf tmp_test/


# DOC: Install and/or upgrade dependencies
update:
	pip install --upgrade pip setuptools
	pip install --upgrade -r requirements_dev.txt
	pip freeze


release:
	fullrelease


.PHONY: clean update release-patch release-minor release-major


# Tests and quality
# =================


# DOC: Run tests for all supported versions (creates a set of virtualenvs)
testall:
	tox

# DOC: Run tests for the currently installed version
test:
	python -Wdefault -m unittest $(TESTS_DIR)

# DOC: Test the examples
example-test:
	$(MAKE) -C $(EXAMPLES_DIR) test



# Note: we run the linter in two runs, because our __init__.py files has specific warnings we want to exclude
# DOC: Perform code quality tasks
lint:
	$(FLAKE8) --config .flake8 --exclude $(PACKAGE)/__init__.py $(PACKAGE)
	$(FLAKE8) --config .flake8 --ignore F401 $(PACKAGE)/__init__.py
	check-manifest

coverage:
	$(COVERAGE) erase
	$(COVERAGE) run "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py" --branch setup.py test
	$(COVERAGE) report "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py"
	$(COVERAGE) html "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py"


.PHONY: test testall example-test lint coverage


# Documentation
# =============


# DOC: Compile the documentation
doc:
	$(MAKE) -C $(DOC_DIR) html


# DOC: Show this help message
help:
	@grep -A1 '^# DOC:' Makefile \
	 | awk '    					\
	    BEGIN { FS="\n"; RS="--\n"; opt_len=0; }    \
	    {    					\
		doc=$$1; name=$$2;    			\
		sub("# DOC: ", "", doc);    		\
		sub(":", "", name);    			\
		if (length(name) > opt_len) {    	\
		    opt_len = length(name)    		\
		}    					\
		opts[NR] = name;    			\
		docs[name] = doc;    			\
	    }    					\
	    END {    					\
		pat="%-" (opt_len + 4) "s %s\n";    	\
		asort(opts);    			\
		for (i in opts) {    			\
		    opt=opts[i];    			\
		    printf pat, opt, docs[opt]    	\
		}    					\
	    }'


.PHONY: doc help

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/FactoryBoy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/FactoryBoy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/FactoryBoy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/FactoryBoy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== examples/Makefile ===
EXAMPLES = django_demo flask_alchemy

TEST_TARGETS = $(addprefix runtest-,$(EXAMPLES))

test: $(TEST_TARGETS)


$(TEST_TARGETS): runtest-%:
	cd $* && ./runtests.sh

=== debian/changelog ===
factory-boy (2.11.1-5) unstable; urgency=medium

  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Update standards version to 4.6.0, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 10:43:55 +0100

factory-boy (2.11.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Contact, Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.1, no changes needed.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Sandro Tosi ]
  * debian/gbp.conf
    - remove unnecessary file, containing options contrary to DPT policy

 -- Sandro Tosi <morph@debian.org>  Mon, 25 Apr 2022 21:26:22 -0400

factory-boy (2.11.1-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Bump Standards-Version to 4.4.0.
  * Drop Python 2 support.

  [ Andrey Rahmatullin ]
  * Fix running tests with recent Django.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 15 Aug 2019 22:34:31 +0500

factory-boy (2.11.1-2) unstable; urgency=medium

  * Team upload.
  * Add real autopkgtest cases.

 -- Joseph Herlant <aerostitch@debian.org>  Mon, 07 Jan 2019 21:43:52 -0800

factory-boy (2.11.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Joseph Herlant ]
  * New upstream version 2.11.1
  * d/gbp.conf: make sure pristine-tar is disabled.
  * d/gbp.conf: change the branches to work after the salsa migration.
  * Use the new debhelper-compat(=12) notation and drop d/compat.
  * Bump Standards-Version to 4.3.0.
  * Refresh patches with the new version.
  * Add build dependency on sqlalchemy.
  * Add build dependency on mongoengine.
  * d/rules: cleanup old rules.
  * Backport support for python 3.7 from upstream. (Closes: #910318)
  * Depend on python3 for sphinx.
  * Removing dependency on openstack-pkg-tools.
  * Fix package-does-not-install-examples.
  * Add a d/upstream/metadata file for DEP-12.
  * d/control: add automatic autopkgtest.
  * d/control: update homepage link.

 -- Joseph Herlant <aerostitch@debian.org>  Sun, 06 Jan 2019 16:39:57 -0800

=== debian/control ===
Source: factory-boy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-all,
               python3-setuptools
Build-Depends-Indep:
                     python3-sqlalchemy,
                     python3-mongoengine,
                     python3-django,
                     python3-mock,
                     python3-wheel,
                     python3-fake-factory,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/factory-boy
Vcs-Git: https://salsa.debian.org/python-team/packages/factory-boy.git
Homepage: https://github.com/FactoryBoy/factory_boy

Package: python3-factory-boy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-factory-boy-doc
Description: test fixtures replacement based on factory_girl for Ruby - Python 3.x
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl. Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 .
 Django support is included, and support for other ORMs can be easily added.
 .
 This package provides the Python 3.x module.

Package: python-factory-boy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
Description: test fixtures replacement based on factory_girl for Ruby - doc
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl. Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 .
 Django support is included, and support for other ORMs can be easily added.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=factory-boy
export SKIP_MONGOENGINE=1
# needed for the test_force_flush_deprecation test
export PYTHONWARNINGS=default

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs $(CURDIR)/debian/python-factory-boy-doc/usr/share/doc/python-factory-boy-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/factory_boy-$1\.tar\.gz/ \
  https://github.com/FactoryBoy/factory_boy/tags .*/v?(\d\S+)\.tar\.gz

## factory-boy 3.3.1

=== debian/changelog ===
factory-boy (3.3.1-3) unstable; urgency=medium

  * [6e23076] d/control: Add profile <!nodoc> to B-D python3-fake-factory
  * [6492945] Revert "d/control: Re-add Testsuite: autopkgtest-pkg-python"
    Using this simply test isn't possible as the test tries to use the wrong
    module name due the package name, 'factory_boy' != 'factory'.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 19 Sep 2024 08:43:28 +0200

factory-boy (3.3.1-2) unstable; urgency=medium

  * Team upload
  * [1df16a1] d/control: Re-add needed package python3-fake-factory
  * [ab823e1] autopkgtest: Re-add python3-fake-factory here too

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 18 Sep 2024 23:20:06 +0200

factory-boy (3.3.1-1) unstable; urgency=medium

  * Team upload

  [ Carsten Schoenert ]
  * [75449c7] d/gbp.conf: Re-add some sane defaults for git-buildpackage
  * [e0112ca] d/watch: Switch version 4 and Git mode on GitHub
  * [0298414] d/*: Run wrap-and-sort -astk
  * [088e1bd] d/control: Sort binary packages alphabatical
  * [15df2db] d/control: Re-add Testsuite: autopkgtest-pkg-python
  * [b6a5d4f] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * [b9cb65d] New upstream version 3.3.1
    (Closes: #1080106)
  * [108f8c0] Rebuild patch queue from patch-queue branch
    Added patches:
    docs-Use-intersphix-with-Debian-packages.patch

    Renamed patch:
    removed-privacy-breach.patch
    -> docs-Remove-sideloading-of-external-badges.patch

    Dropped patches (included upstream):
    0003-Add-ipaddress-to-depends.patch
    0005-Fix-test-for-Django-2.2.patch
    compatibility_python37.patch
    django-4.patch
    extlinks-placeholder.patch
    python-3.12.patch

  * [54e8e67] d/control: Update B-D, adding BuildProfileSpecs data
  * [33c51ee] d/control: Adding Rules-Requires-Root: no
  * [5a69bcd] d/rules: Drop --with option from default target
  * [c37e952] d/rules: Drop export of not needed anymore variables
  * [1e90f77] d/rules: Provide setup.cfg for the test suite
  * [358dbc1] d/rules: Clean out .mypy_cache while dh_clean
  * [4c613f3] autopkgtest: Run upstream test suite again
  * [1f89cb5] d/control: Drop ${shlibs:Depends} in binary packages
  * [f6db99b] d/copyright: Update upstream and year data
  * [950e70b] d/README.source: Add basic information about source
  * [e018ac6] d/control: Set Multi-Arch: foreign for -doc package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 18 Sep 2024 20:24:54 +0200

factory-boy (2.11.1-8) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-mock

  [ Pushkar Kulkarni ]
  * d/control/test: Comment out unit-test-p3 which runs no tests
    (Closes: #1061796)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 02 Jun 2024 12:43:18 +0200

factory-boy (2.11.1-7) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to make the tests pass with Python 3.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 09 Nov 2023 13:13:26 +0300

factory-boy (2.11.1-6) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to fix extlinks placeholder (closes: #1042624).
  * Backport upstream patch to support Django 4.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 06 Nov 2023 14:45:59 +0300

=== debian/control ===
Source: factory-boy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-mongoengine-doc <!nodoc>,
 python-sqlalchemy-doc <!nodoc>,
 python3-doc <!nodoc>,
 python3-django <!nocheck>,
 python3-fake-factory <!nocheck> <!nodoc>,
 python3-mongoengine <!nocheck>,
 python3-mongomock <!nocheck>,
 python3-pytest <!nocheck>,
 python3-sqlalchemy <!nocheck>,
 python3-sphinx  <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/factory-boy
Vcs-Git: https://salsa.debian.org/python-team/packages/factory-boy.git
Homepage: https://github.com/FactoryBoy/factory_boy
Rules-Requires-Root: no

Package: python-factory-boy-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Test fixtures replacement based on factory_girl for Ruby (Documentation)
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl. Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 .
 Django support is included, and support for other ORMs can be easily added.
 .
 This package provides the documentation.

Package: python3-factory-boy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-factory-boy-doc,
Description: Test fixtures replacement based on factory_girl for Ruby (Python 3)
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl. Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 .
 Django support is included, and support for other ORMs can be easily added.
 .
 This package provides the Python 3.x module.

## factory-boy 3.3.3

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,13 @@
 TESTS_DIR=tests
 DOC_DIR=docs
 EXAMPLES_DIR=examples
+SETUP_PY=setup.py
 
 # Use current python binary instead of system default.
 COVERAGE = python $(shell which coverage)
 FLAKE8 = flake8
+ISORT = isort
+CTAGS = ctags
 
 
 all: default
@@ -29,7 +32,7 @@
 # DOC: Install and/or upgrade dependencies
 update:
 	pip install --upgrade pip setuptools
-	pip install --upgrade -r requirements_dev.txt
+	pip install --upgrade --editable .[dev,doc]
 	pip freeze
 
 
@@ -37,7 +40,7 @@
 	fullrelease
 
 
-.PHONY: clean update release-patch release-minor release-major
+.PHONY: clean update release
 
 
 # Tests and quality
@@ -49,8 +52,17 @@
 	tox
 
 # DOC: Run tests for the currently installed version
+# Remove cgi warning when dropping support for Django 3.2.
 test:
-	python -Wdefault -m unittest $(TESTS_DIR)
+	mypy --ignore-missing-imports tests/test_typing.py
+	python \
+		-b \
+		-X dev \
+		-Werror \
+		-Wignore:::mongomock: \
+		-Wignore:::mongomock.__version__: \
+		-Wignore:::pkg_resources: \
+		-m unittest
 
 # DOC: Test the examples
 example-test:
@@ -61,18 +73,29 @@
 # Note: we run the linter in two runs, because our __init__.py files has specific warnings we want to exclude
 # DOC: Perform code quality tasks
 lint:
-	$(FLAKE8) --config .flake8 --exclude $(PACKAGE)/__init__.py $(PACKAGE)
-	$(FLAKE8) --config .flake8 --ignore F401 $(PACKAGE)/__init__.py
+	$(FLAKE8) --exclude $(PACKAGE)/__init__.py $(EXAMPLES_DIR) $(PACKAGE) $(SETUP_PY) $(TESTS_DIR)
+	$(FLAKE8) --ignore F401 $(PACKAGE)/__init__.py
+	$(ISORT) --check-only --diff $(EXAMPLES_DIR) $(PACKAGE) $(SETUP_PY) $(TESTS_DIR)
 	check-manifest
 
 coverage:
 	$(COVERAGE) erase
-	$(COVERAGE) run "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py" --branch setup.py test
-	$(COVERAGE) report "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py"
-	$(COVERAGE) html "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py"
+	$(COVERAGE) run --branch -m unittest
+	$(COVERAGE) report
+	$(COVERAGE) html
 
 
 .PHONY: test testall example-test lint coverage
+
+
+# Development
+# ===========
+
+# DOC: Generate a "tags" file
+TAGS:
+	$(CTAGS) --recurse $(PACKAGE) $(TESTS_DIR)
+
+.PHONY: TAGS
 
 
 # Documentation
@@ -81,8 +104,13 @@
 
 # DOC: Compile the documentation
 doc:
-	$(MAKE) -C $(DOC_DIR) html
+	$(MAKE) -C $(DOC_DIR) SPHINXOPTS="-n -W" html
 
+linkcheck:
+	$(MAKE) -C $(DOC_DIR) linkcheck
+
+spelling:
+	$(MAKE) -C $(DOC_DIR) SPHINXOPTS=-W spelling
 
 # DOC: Show this help message
 help:
@@ -109,4 +137,4 @@
 	    }'
 
 
-.PHONY: doc help
+.PHONY: doc linkcheck help

=== examples/requirements.txt ===
-r flask_alchemy/requirements.txt
-r django_demo/requirements.txt

=== debian/changelog ===
factory-boy (3.3.3-1) unstable; urgency=medium

  * Team upload
  * [97bd65c] New upstream version 3.3.3
  * [a0ea9d2] d/control: Bump Standards-Version to 4.7.2
  * [8e7c1f4] d/copyright: Update  year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 10 Mar 2025 18:57:56 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-sqlalchemy <!nocheck>,
  python3-sphinx  <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/factory-boy
 Vcs-Git: https://salsa.debian.org/python-team/packages/factory-boy.git
 Homepage: https://github.com/FactoryBoy/factory_boy

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=factory-boy
export PYBUILD_BEFORE_TEST=cp setup.cfg {build_dir}
export PYBUILD_AFTER_TEST=rm {build_dir}/setup.cfg
%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs $(CURDIR)/debian/python-factory-boy-doc/usr/share/doc/python-factory-boy-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/tests/control ===
Tests: unit-tests-p3
Depends:
 python3-all,
 python3-django,
 python3-fake-factory,
 python3-mongoengine,
 python3-mongomock,
 python3-pytest,
 python3-sqlalchemy,
 @,
Restrictions: build-needed, allow-stderr

Tests: django-example
Depends:
 python3-django,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/FactoryBoy/factory_boy.git \
      refs/tags/@ANY_VERSION@
